
Figure - Bug #111406
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】蓝牙开关打开状态下，桌面状态栏没有蓝牙图标
2022-08-22 18:52 - CD Test赵飞

Status: CLOSED Start date: 2022-08-22

Priority: High Due date: 2022-08-30

Assignee: CD Test赵飞 % Done: 100%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220822.alpha

Resolution: -- Degrated: --

Severity: Major Verified Version: 这个行为是aosp的原生行为

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220822.alpha

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置 - 已连接设备 - 连接偏好设置 - 蓝牙

2、打开蓝牙开关

3、查看状态栏显示

【预期结果】

3、状态栏显示蓝牙图标（未连接状态）

【实际结果】

1、状态栏无蓝牙图标显示

【复现率】

5/5

【Log】

截图见附件

History

#1 - 2022-08-23 14:40 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD LC-徐玺栋

#2 - 2022-08-23 18:17 - CD LC-徐玺栋

- Status changed from New to ASSIGNED

hi，

这个行为是aosp原生行为，系统默认是蓝牙链接后才在状态栏显示蓝牙图标，需要改成打开蓝牙就在状态栏显示蓝牙图标吗？
#3 - 2022-08-24 09:47 - CD LC-徐玺栋

- Assignee changed from CD LC-徐玺栋 to CD FW-王伟

#4 - 2022-08-24 16:05 - CD LC-徐玺栋

- Assignee changed from CD FW-王伟 to CD LC-徐玺栋

#5 - 2022-08-25 14:00 - CD Test赵飞

- Due date set to 2022-08-30

#6 - 2022-08-25 15:44 - CD LC-徐玺栋

当前进展：

按照想法在代码里作了修改，编译完调试设备发现系统黑屏，正在调查原因；

下一步计划：

对问题已经有了初步的猜测，正在测试中，预计最迟明天解决。

#7 - 2022-08-25 16:27 - CD LC-徐玺栋

当前进展：

目前编译模块push进设备，导致黑屏问题已解决。目前打开蓝牙，图标就会一直展示已连接状态的图标，我认为会影响用户判断蓝牙是否为已连接状态

，正在尝试修改；

下一步计划：

尝试修改图标问题。

#8 - 2022-08-26 09:49 - CD LC-徐玺栋

- Status changed from ASSIGNED to RESOLVED

- Verified Version set to 这个行为是aosp的原生行为

当前进展：

当前问题已解决，本地验证没问题；

gerrit：https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/144725

下一步计划：

请测试人员在8.26的DB进行复测；

#9 - 2022-08-26 09:50 - CD LC-徐玺栋

- Assignee changed from CD LC-徐玺栋 to CD Test赵飞

#10 - 2022-08-29 14:05 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 80

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220826.alpha

验证结果：PASS

打开蓝牙开关后，在状态栏显示蓝牙图标（未连接状态）

#11 - 2022-08-29 14:05 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
- % Done changed from 80 to 100

#12 - 2022-09-14 11:57 - CD TPM-申艳艳

- Category set to LC

#13 - 2022-12-22 20:27 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

144725 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xidong.xu@thundersoft.com

LC:BT:Turn on bluetooth display the icon in the status barThis is aosp native behavior;Modified the logic of "updateBluetooth()" TC-RID: 1201-0400120IssueID:

TS-R-DF-111406Change-Id: Ie4d7de0f3b236f3781c652349858ecbf66afa475

Files

screenshots.png 63.9 KB 2022-08-22 CD Test赵飞
